from retab import Retab
client = Retab()
schema = client.tables.schema(table_id="workflow_table_123")
print(schema)
import { Retab } from "@retab/node";
const client = new Retab({ apiKey: process.env.RETAB_API_KEY });
const schema = await client.tables.schema("workflow_table_123");
console.log(schema);
package main
import (
"context"
"fmt"
"log"
retab "github.com/retab-dev/retab/clients/go"
)
func main() {
ctx := context.Background()
client, err := retab.NewClient("")
if err != nil {
log.Fatal(err)
}
schema, err := client.Tables.Schema(ctx, "workflow_table_123")
if err != nil {
log.Fatal(err)
}
fmt.Println(*schema)
}
require 'retab'
client = Retab::Client.new(api_key: ENV['RETAB_API_KEY'])
schema = client.tables.schema(table_id: 'workflow_table_123')
puts schema
use retab::Retab;
#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
let client = Retab::new(std::env::var("RETAB_API_KEY")?);
let schema = client.tables().schema("workflow_table_123").await?;
println!("{:?}", schema);
Ok(())
}
<?php
require 'vendor/autoload.php';
use Retab\Client;
$client = new Client(apiKey: getenv('RETAB_API_KEY'));
$result = $client->tables()->schema(
tableId: 'workflow_table_123',
);
print_r($result);
using Retab;
using RetabClient = Retab.Retab;
var apiKey = Environment.GetEnvironmentVariable("RETAB_API_KEY")!;
var client = new RetabClient(apiKey);
var result = await client.Tables.SchemaAsync("workflow_table_123");
Console.WriteLine(result);
import com.retab.RetabClient;
public final class Example {
public static void main(String[] args) throws Exception {
RetabClient client = new RetabClient(System.getenv("RETAB_API_KEY"));
var result = client.tables().schema("workflow_table_123");
System.out.println(result);
}
}
curl https://api.retab.com/v1/tables/workflow_table_123/schema \
-H "Authorization: Bearer $RETAB_API_KEY"
{
"table_id": "<string>",
"columns": []
}{
"detail": []
}Tables
Get Table Schema
GET
/
v1
/
tables
/
{table_id}
/
schema
from retab import Retab
client = Retab()
schema = client.tables.schema(table_id="workflow_table_123")
print(schema)
import { Retab } from "@retab/node";
const client = new Retab({ apiKey: process.env.RETAB_API_KEY });
const schema = await client.tables.schema("workflow_table_123");
console.log(schema);
package main
import (
"context"
"fmt"
"log"
retab "github.com/retab-dev/retab/clients/go"
)
func main() {
ctx := context.Background()
client, err := retab.NewClient("")
if err != nil {
log.Fatal(err)
}
schema, err := client.Tables.Schema(ctx, "workflow_table_123")
if err != nil {
log.Fatal(err)
}
fmt.Println(*schema)
}
require 'retab'
client = Retab::Client.new(api_key: ENV['RETAB_API_KEY'])
schema = client.tables.schema(table_id: 'workflow_table_123')
puts schema
use retab::Retab;
#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
let client = Retab::new(std::env::var("RETAB_API_KEY")?);
let schema = client.tables().schema("workflow_table_123").await?;
println!("{:?}", schema);
Ok(())
}
<?php
require 'vendor/autoload.php';
use Retab\Client;
$client = new Client(apiKey: getenv('RETAB_API_KEY'));
$result = $client->tables()->schema(
tableId: 'workflow_table_123',
);
print_r($result);
using Retab;
using RetabClient = Retab.Retab;
var apiKey = Environment.GetEnvironmentVariable("RETAB_API_KEY")!;
var client = new RetabClient(apiKey);
var result = await client.Tables.SchemaAsync("workflow_table_123");
Console.WriteLine(result);
import com.retab.RetabClient;
public final class Example {
public static void main(String[] args) throws Exception {
RetabClient client = new RetabClient(System.getenv("RETAB_API_KEY"));
var result = client.tables().schema("workflow_table_123");
System.out.println(result);
}
}
curl https://api.retab.com/v1/tables/workflow_table_123/schema \
-H "Authorization: Bearer $RETAB_API_KEY"
{
"table_id": "<string>",
"columns": []
}{
"detail": []
}Return the column schema for a CSV-backed table.
from retab import Retab
client = Retab()
schema = client.tables.schema(table_id="workflow_table_123")
print(schema)
import { Retab } from "@retab/node";
const client = new Retab({ apiKey: process.env.RETAB_API_KEY });
const schema = await client.tables.schema("workflow_table_123");
console.log(schema);
package main
import (
"context"
"fmt"
"log"
retab "github.com/retab-dev/retab/clients/go"
)
func main() {
ctx := context.Background()
client, err := retab.NewClient("")
if err != nil {
log.Fatal(err)
}
schema, err := client.Tables.Schema(ctx, "workflow_table_123")
if err != nil {
log.Fatal(err)
}
fmt.Println(*schema)
}
require 'retab'
client = Retab::Client.new(api_key: ENV['RETAB_API_KEY'])
schema = client.tables.schema(table_id: 'workflow_table_123')
puts schema
use retab::Retab;
#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
let client = Retab::new(std::env::var("RETAB_API_KEY")?);
let schema = client.tables().schema("workflow_table_123").await?;
println!("{:?}", schema);
Ok(())
}
<?php
require 'vendor/autoload.php';
use Retab\Client;
$client = new Client(apiKey: getenv('RETAB_API_KEY'));
$result = $client->tables()->schema(
tableId: 'workflow_table_123',
);
print_r($result);
using Retab;
using RetabClient = Retab.Retab;
var apiKey = Environment.GetEnvironmentVariable("RETAB_API_KEY")!;
var client = new RetabClient(apiKey);
var result = await client.Tables.SchemaAsync("workflow_table_123");
Console.WriteLine(result);
import com.retab.RetabClient;
public final class Example {
public static void main(String[] args) throws Exception {
RetabClient client = new RetabClient(System.getenv("RETAB_API_KEY"));
var result = client.tables().schema("workflow_table_123");
System.out.println(result);
}
}
curl https://api.retab.com/v1/tables/workflow_table_123/schema \
-H "Authorization: Bearer $RETAB_API_KEY"
⌘I